Package com.ocient.rest.resources

# Class MetricsResource

java.lang.Object
com.ocient.rest.resources.MetricsResource

public class MetricsResource extends Object

## Constructor Summary

Constructors
Constructor
Description
`MetricsResource(com.fasterxml.jackson.databind.ObjectMapper objectMapper)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`handleMetricsRequest(io.netty.channel.ChannelHandlerContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetricsResource

public MetricsResource(com.fasterxml.jackson.databind.ObjectMapper objectMapper)

## Method Details

### handleMetricsRequest

protected void handleMetricsRequest(io.netty.channel.ChannelHandlerContext ctx) throws Exception

Throws:
  `Exception`